Loading...
Searching...
No Matches
dolfin::MultiMeshFunctionSpace Class Reference

`#include <MultiMeshFunctionSpace.h>`

Inheritance diagram for dolfin::MultiMeshFunctionSpace:
[legend]
Collaboration diagram for dolfin::MultiMeshFunctionSpace:
[legend]

## Public Member Functions

| MultiMeshFunctionSpace (std::shared_ptr< const MultiMesh > multimesh)
| Create multimesh function space on multimesh (shared pointer version).
| ~MultiMeshFunctionSpace ()
| Destructor.
std::size_t | dim () const
std::shared_ptr< const MultiMesh > | multimesh () const
std::shared_ptr< const MultiMeshDofMap > | dofmap () const
std::size_t | num_parts () const
std::shared_ptr< const FunctionSpace > | part (std::size_t i) const
std::shared_ptr< const FunctionSpace > | view (std::size_t i) const
void | add (std::shared_ptr< const FunctionSpace > function_space)
void | build ()
| Build multimesh function space.
void | build (const std::vector< dolfin::la_index > &offsets)
void | lock_inactive_dofs (GenericMatrix &A, GenericVector &b) const
| Lock inactive dofs of a system.
Public Member Functions inherited from dolfin::Variable
| Variable ()
| Create unnamed variable.
| Variable (const std::string name, const std::string label)
| Create variable with given name and label.
| Variable (const Variable &variable)
| Copy constructor.
virtual | ~Variable ()
| Destructor.
const Variable & | operator= (const Variable &variable)
| Assignment operator.
void | rename (const std::string name, const std::string label)
| Rename variable.
std::string | name () const
| Return name.
std::string | label () const
| Return label (description).
std::size_t | id () const
virtual std::string | str (bool verbose) const
| Return informal string representation (pretty-print).

## Friends

class | MultiMeshSubSpace

## Additional Inherited Members

Public Attributes inherited from dolfin::Variable
Parameters | parameters
| Parameters.

## Detailed Description

This class represents a function space on a multimesh. It may may be created from a set of standard function spaces by repeatedly calling add(), followed by a call to build(). Note that a multimesh function space is not useful and its data structures are empty until build() has been called.

## Member Function Documentation

## add()

void MultiMeshFunctionSpace::add | ( | std::shared_ptr< const FunctionSpace > | function_space | ) |

Add function space

Arguments function_space (FunctionSpace) The function space.

## build()

void MultiMeshFunctionSpace::build | ( | const std::vector< dolfin::la_index > & | offsets | ) |

Build multimesh function space. This function uses offsets computed from the full function spaces on each part.

## dim()

std::size_t MultiMeshFunctionSpace::dim | ( |  | ) | const

Return dimension of the multimesh function space

Returns std::size_t The dimension of the multimesh function space.

## dofmap()

std::shared_ptr< const MultiMeshDofMap > MultiMeshFunctionSpace::dofmap | ( |  | ) | const

Return multimesh dofmap

Returns MultiMeshDofMap The dofmap.

## multimesh()

std::shared_ptr< const MultiMesh > MultiMeshFunctionSpace::multimesh | ( |  | ) | const

Return multimesh

Returns MultiMesh The multimesh.

## num_parts()

std::size_t MultiMeshFunctionSpace::num_parts | ( |  | ) | const

Return the number of function spaces (parts) of the multimesh function space

Returns std::size_t The number of function spaces (parts) of the multimesh function space.

## part()

std::shared_ptr< const FunctionSpace > MultiMeshFunctionSpace::part | ( | std::size_t | i | ) | const

Return function space (part) number i

Arguments i (std::size_t) The part number

Returns FunctionSpace Function space (part) number i

## view()

std::shared_ptr< const FunctionSpace > MultiMeshFunctionSpace::view | ( | std::size_t | i | ) | const

Return view of multimesh function space for part number i. This function differs from the part() function in that it does not return the original function space for a part, but rather a view of the common multimesh function space (dofs global to the collection of parts).

Arguments i (std::size_t) The part number

Returns FunctionSpace Function space (part) number i

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/function/MultiMeshFunctionSpace.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/function/MultiMeshFunctionSpace.cpp